EUCA-DESCRIBE-GROUP(1)

NAME
euca-describe-group - Show information about security groups

SYNOPSIS
euca-describe-group [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [GROUP [GROUP ...]]

DESCRIPTION
Show information about security groups

DESCRIPTION
Note that filters are matched on literal strings only, so "--filter ip-permission.from-port=22" will *not* match a group with a port range of 20 to 30.

  positional arguments:

GROUP
    limit results to specific security groups

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

description
    group description group-id group-name ip-permission.cidr CIDR IP range granted permission by the group ip-permission.from-port

start of TCP/UDP port range, or ICMP type
    number

ip-permission.group-name
    name of another group granted permission by this group

ip-permission.group-id
    ID of another group granted permission by this group

ip-permission.protocol
    IP protocol for the permission

ip-permission.to-port
    end of TCP/UDP port range, or ICMP code

ip-permission.user-id
    ID of an account granted permission

owner-id
    account ID of the group's owner

tag-key
    key of a tag assigned to the group

tag-value
    value of a tag assigned to the group

tag:KEY
    specific tag key/value combination

vpc-id
    [VPC only] ID of a VPC the group belongs to